summaryrefslogtreecommitdiff
path: root/tests/misc/tee
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/tee')
-rwxr-xr-xtests/misc/tee39
1 files changed, 39 insertions, 0 deletions
diff --git a/tests/misc/tee b/tests/misc/tee
new file mode 100755
index 000000000..6da34a665
--- /dev/null
+++ b/tests/misc/tee
@@ -0,0 +1,39 @@
+#!/bin/sh
+# test for basic tee functionality.
+
+# Copyright (C) 2005-2007 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ tee --version
+fi
+
+. $srcdir/../test-lib.sh
+
+echo line >sample || framework_failure
+nums=`seq 9` || framework_failure
+
+fail=0
+for n in 0 $nums; do
+ files=`seq $n`
+ rm -f $files
+ tee $files <sample >out || fail=1
+ for f in out $files; do
+ compare sample $f || fail=1
+ done
+done
+
+(exit $fail); exit $fail